select 
	b1. categname as categoria,
	b2. subcategname as subcategoria,
	total(case strftime('%Y', a1.transdate) when strftime('%Y', date('now')) then (case transcode when 'Deposit' then transamount else -transamount end) end) as Actual,
	total(case strftime('%Y', a1.transdate) when strftime('%Y', date('now','-1 year')) then (case transcode when 'Deposit' then transamount else -transamount end) end) as Anterior,
	(((total(case strftime('%Y', a1.transdate) when strftime('%Y', date('now')) then a1.transamount end) )/ (total(case strftime('%Y', a1.transdate) when strftime('%Y', date('now','-1 year')) then a1.transamount end)))-1)*100 as Variacion
from
	checkingaccount_v1 as a1,
	subcategory_v1 as b2,
	category_v1 as b1
where
	a1.categid=b1.categid and a1.subcategid=b2.subcategid  and 
	strftime('%m', a1.transdate)<=strftime('%m', date('now'))
group by
	a1.categid, a1.subcategid
order by 
	a1.transcode, b1. categname

